Server 8.5.9 X-Powered-By still reporting PHP 5.6.30

General discussion forum for the Zend Server
Post Reply
gene3295
Posts: 4
Joined: Mon Oct 16, 2017 9:09 pm

Server 8.5.9 X-Powered-By still reporting PHP 5.6.30

Post by gene3295 » Wed May 16, 2018 3:57 pm

Recently upgraded to Zend Server 8.5.9. The "X-Powered-By" HTTP Header is still reporting php version 5.6.30 and server version 8.5.7. My security people get nervous anytime their scanners run and show this older, vulnerable version of php.

Any chance to get this fixed?

User avatar
zvika
Zend Global Support
Posts: 994
Joined: Sun Dec 14, 2008 9:48 am
Contact:

Re: Server 8.5.9 X-Powered-By still reporting PHP 5.6.30

Post by zvika » Thu May 17, 2018 6:34 pm

Hello,
Please open a support case with this report, so we can test and involve the packaging team to change the entity if truly a bug and not a caching proxy or something. If you need a quick resolution we can also help with a workaround to manually change the server signature text string for the short run.
Zvika Dror
Zend Support Team

Post Reply